Subject: LRO: Re: Marvel Mystey Oil

From: "Dick Love" <[email-masked]>
Date: Tue, 29 May 2001 11:10:09 -0700

The mechanic who rebuilt my Vincent has a pretty good petigree....Shelby's,
Gurney's, Porsche (both USA and Europe) racing teams. This includes Formula
1, Can Am, and Indy. He was a mechanic for the film "Le Mans" preparing cars
before and during filming.
When we fired up the Vin for the first time it was MMO that was poured into
the top end before that first kick. He still pours a little in my gas tank
when I bring the bike by for a "visit". It appears that he sees some value
in it. Maybe just superstition but What The Hell! Why not?